=== Makefile ===
EXTRA_CMAKE_FLAGS += -DORO_USE_ROSBUILD=True
include $(shell rospack find mk)/cmake.mk
